/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package framework;

import java.util.ArrayList;
import plugin.DancePluginInterface;
import plugin.PluginLoader;
import plugin.BachataPlugin;

/**
 *
 * @author micara marajh
 */
public class Bachata extends DanceStyle {

    public Bachata() {
        BachataPlugin bachataPlugin = (BachataPlugin) new PluginLoader().loadDancePlugin("plugin.BachataPlugin");
        moves = bachataPlugin.getMoves();
    }
    
    @Override
    public Move getMove(int i) {
        return moves.get(i);
    }

    @Override
    public void addMove(Move m) {
        this.moves.add(m);
    }

    @Override
    public void removeMove(int i) {
        this.moves.remove(i);
    }

    @Override
    public ArrayList<Move> getMoves() {
        return moves;
    }
    
    
    
}
