
package framework;
import java.util.ArrayList;
import java.util.LinkedList;

import java.util.ArrayList;
/**
 * Declares the Factory method
 * Returns new Move objects 
 * Create dance move to implement according to chosen dance style
 * separates product construction code from the code that actually uses the product
 * @author micaramarajh
 * @version 1.0
 */


public abstract class DanceStyle {

    /******************
     * GLOBAL MEMBERS *
     ******************/

    ArrayList <Move> moves;
    
    public abstract Move getMove (int i);
    public abstract void addMove(Move m);
    public abstract void removeMove(int i);
    public abstract ArrayList<Move> getMoves();

}












  
