
package framework;
import java.util.ArrayList;

/**
 * An element is a symbol to describe a dance line
 * An element is a primitive unit for a specific dance style
 * @author micaramarajh
 * @version 1.0
 */
public class Element {
    
    private String name; 
    private String symbol;

    public Element() {

    }

    public Element (String n, String s) {
        this.name = n;
        this.symbol = s;
    }

    
    /************************************
     *      ACCESSORS AND MUTATORS      *
     ************************************/
    /**
     * 
     * @return Name of element
     */
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSymbol() {
        return symbol;
    }

    public void setSymbol(String symbol) {
        this.symbol = symbol;
    }
    
    @Override
    public String toString() {
        return "Element{" + "name=" + name + ", symbol=" + symbol + '}';
    }
    
}