/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package framework;

import java.util.Arrays;

/**
 * A line object comprises of one or several elements
 * @author micaramarajh
 */
public class Line {

    private String name;
    private Element [] elementsArray;

    public Line () {

    }
    
    public Line (Element... args) {
        elementsArray = new Element [args.length];
        for (int i = 0; i < args.length; i++) {
            elementsArray[i] = args[i];
        }
    }

    public Line(String n, Element [] lea) {
        this.name = n;
        elementsArray = lea;
    }
   
    /************************************
     *      ACCESSORS AND MUTATORS      *
     ************************************/

    /**
     * 
     * @return line name
     */
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Element[] getLineElementArray() {
        return elementsArray;
    }

    public void setLineElementArray(Element[] lineElementArray) {
        this.elementsArray = lineElementArray;
    }
    
    @Override
    public String toString() {
        return "Line{" + "name=" + name + ", elementsArray=" + Arrays.toString(elementsArray) + '}';
    }
}



