/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package plugin;

import framework.Element;
import framework.Line;
import framework.Move;
import java.util.ArrayList;

/**
 *
 * @author micaramarajh
 */
public class SalsaPlugin implements DancePluginInterface {
    
    private String name = "Salsa On1";
    int elementsPerLine = 2;
    
    ArrayList <Element> elements = new ArrayList<>() {{
        // hand holds
        add(new Element("None", "None"));
        add(new Element("Normal Open Hold", "*N*"));
        add(new Element("Normal Closed Hold", "N"));
        add(new Element("Crossed Hold", "C"));
        // directions
        add(new Element("Man facing lady", "ML"));
        add(new Element("Lady facing man", "LM"));
        // actions
        add(new Element("Cross Body Lead", "XBL"));
        add(new Element("Turn", "@"));
        // leader
        add(new Element("Comb", "E"));
        
    }};
    
    ArrayList <Line> lines = new ArrayList<>() {{
        Element [] elems = new Element [elements.size()];
        
        for (int i = 0; i < elems.length; i++) elems[i] = elements.get(i);
        add(new Line("Handhold", elems));
        add(new Line("Direction", null));
        add(new Line("Leader", null));
        add(new Line("Common Action", null));
        add(new Line("Follower", null));
    }};
    
    ArrayList <Move> moves = new ArrayList<>() {{
        
    }};
    
    @Override
    public int getElementsPerLine() {
        return elementsPerLine;
    }
    
    @Override
    public String getName()
    {
        return this.name;
    }
    
    @Override
    public ArrayList <Element> getElements()
    {
        return elements;
    }
    
    
    @Override
    public ArrayList <Line> getLines()
    {
        return lines;
    }
    
    @Override
    public ArrayList<Move> getMoves()
    {
        return moves;
    }
}
