    /*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package framework;


import framework.Line;
import framework.Move;
//import framework.Element;
//import static framework.Line.lineElement;
import java.util.ArrayList;

/**
 * Example of a Salsa dance sequence implementation using the factory method pattern
 * @author micaramarajh
 */

/**
 * Example of a Cross Body Lead Move in Salsa
 * @author micaramarajh
 */
public class mainFactory {
     public static void main(String [] args) {
        
        /**
         * Element and Line objects created for dance move
         */
        Element a, b, c, d, e, f, g, h, i, j;
        Line handHold, direction, leader, follower, commonAction;
        Move firstMove;


        System.out.println("Salsational");
        Salsa salsaStyle = (Salsa) DanceStyleFactory.getInstance("SALSA");

        assert(salsaStyle != null);
        
        /**
         *  Create dance elements consisting of element name and symbol
         */

        a = new Element("Normal" ,"N ");
        b = new Element("Normal", "N");
        c = new Element("Facing each other", "ML");
        d = new Element("Facing each other", "LM");
        e = new Element(" ", " ");
        f = new Element(" ", " ");
        g = new Element(" ", " ");
        h = new Element(" ", " ");
        i = new Element("Cross Body Lead", "XBL");
        j = new Element(" ", " ");
        
        /**
         * Create a line comprising of elements
         */


        handHold = new Line(a, b);
        handHold.setName("HandHold");
        direction = new Line(c, d);
        direction.setName("Direction");
        leader = new Line(e, f);
        leader.setName("Leader");
        follower = new Line(g, h);
        follower.setName("Follower");
        commonAction = new Line(i, j);
        commonAction.setName("Common Action");
        
        /**
         * Create a dance move made up of lines of elements
         */

        firstMove = new Move();

        firstMove.addLine(handHold);
        firstMove.addLine(direction);
        firstMove.addLine(leader);
        firstMove.addLine(follower);
        firstMove.addLine(commonAction);

        salsaStyle.addMove(firstMove);

        System.out.println(salsaStyle.toString());
    }
}
    
    

   
         
         
         
     
         
         
         
                 
                 
                
     
        
         
         
         
         
         
     

