
package plugin;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * Loads the plugin using class name of plugin
 * @author micaramarajh
 */
public class EPlugin implements Plugin{
    EPluginInterface plugin;
    
    /**
     *
     * @return plugin loader
     */
    public EPluginInterface getPlugin() {
        return plugin;
    }
    
        @Override
        public void loadPlugin(String file) {
            try {

                Class<?> pluginClass = getClass().getClassLoader().loadClass(file);
                plugin = (EPluginInterface) pluginClass.newInstance();

            } catch (InstantiationException ex) {
                Logger.getLogger(EPlugin.class.getName()).log(Level.SEVERE, null, ex);
            } catch (IllegalAccessException ex) {
                Logger.getLogger(EPlugin.class.getName()).log(Level.SEVERE, null, ex);
            } catch (ClassNotFoundException ex) {
                Logger.getLogger(EPlugin.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
}
